# Cairo::Path Class Reference

A data structure for holding a path. More...

List of all members.

## Public Types

typedef cairo_path_t | cobject

## Public Member Functions

| Path (cairo_path_t*cobject, bool take_ownership=false)
virtual | ~Path ()
cobject* | cobj ()
const cobject* | cobj () const

## Protected Attributes

cobject* | m_cobject

## Detailed Description

A data structure for holding a path.

Use Context::copy_path() or Context::copy_path_flat() to instantiate a new Path. The application is responsible for freeing the Path object when it is no longer needed.

## Member Typedef Documentation

typedef cairo_path_t Cairo::Path::cobject

## Constructor & Destructor Documentation

Cairo::Path::Path | ( | cairo_path_t * | cobject,
|  | bool | take_ownership = `false`
| ) |  | `[explicit]`

virtual Cairo::Path::~Path | ( |  | ) | `[virtual]`

## Member Function Documentation

cobject* Cairo::Path::cobj | ( |  | ) | `[inline]`

const cobject* Cairo::Path::cobj | ( |  | ) | const`[inline]`

## Member Data Documentation

cobject* Cairo::Path::m_cobject `[protected]`

The documentation for this class was generated from the following file:

- cairomm/path.h